.poppins-regular {
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.poppins-medium {
  font-family: "Poppins", sans-serif;
  font-weight: 500;
  font-style: normal;
}

.poppins-semibold {
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font-style: normal;
}

.poppins-bold {
  font-family: "Poppins", sans-serif;
  font-weight: 700;
  font-style: normal;
}

.poppins-extrabold {
  font-family: "Poppins", sans-serif;
  font-weight: 800;
  font-style: normal;
}

.inter-Regular {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

.inter-Medium {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
}

.inter-Semibold {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 600;
  font-style: normal;
}

.inter-Bold {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
}

:root {

    /* cores */
    --color-primary-black: #000000;
    --color-primary-white: #fff;
    --color-text: #222222;
    --color-gray_nav: #5F6368;
    --color-barber-blue: #003399;
    --color-barber-red: #DC0000;
    --color-dark-blue: #00022e;
    --color-attention: #ffaa1d;
    --color-success: #5F8450;

    --font-primary: "Poppins", sans-serif;
    --font-secound: "Inter", sans-serif;

    /* font-size */
    --fs-base: 62.5%;
    --fs-body: 1.6rem;
    --fs-body-small: 1.4rem;
    --fs-body-medium: 1.5rem;

    /* font-weight */
    --weight-Regular: 400;
    --weight-Medium: 500;
    --weight-Semibold: 600;
    --weight-Bold: 700;

    /* Border radius */
    --radius-full: 1000px;
    --radius-medium: 16px;
    --radius-large: 32px;

    /* Letter Spacing */
    --ls-small: 0.5px;
}

/****************************************\
                RESET
\****************************************/

*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-tap-highlight-color: transparent;

}

li {    list-style: none;  }

a {
    color: inherit;
    text-decoration: none;
}

a,
img,
span,
select,
button {    display: block; }

button,
input,
select {
    background: none;
    border: none;
    font: inherit;
}

i {
    font-size: 2rem;
    color: var(--color-text);
}

html {
    font-family: var(--font-primary);
    font-size: var(--fs-base);
}

body {
    background-color: var(--color-primary-white);
    /* background-color: red; */
    color: var(--color-text);
    font-size: var(--fs-body);
}

/****************************************\
                TIPOGRAFIA
\****************************************/
.navbar-link {
	font-size: 1.5rem;
    font-weight: var(--weight-Medium);
}

/****************************************\
                REUSED STYLE
\****************************************/

/* BOTÕES */
.btn {
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 50px;
    padding-inline: 28px;
    border-radius: var(--radius-full);
    max-width: max-content;
    transition: .3s ease;
}

.btn-fill-black {
    color: var(--color-primary-white);
    background-color: var(--color-primary-black);
}

.btn-fill-black:where(:hover, :active, :focus, :focus-visible) {    background-color: var(--color-barber-blue); }

.btn-fill-blue {
    background-color: var(--color-barber-blue);
    color: var(--color-primary-white);
}

.btn-fill-blue:where(:hover, :active, :focus, :focus-visible) {
    background-color: #00011b;
    color: white;
}

.btn-outline-gray { border: 1px solid #acafb4; }

.btn-outline-gray:where(:hover, :active, :focus, :focus-visible) {
    border: 1px solid var(--color-primary-black);
    color: var(--color-primary-black);
}



.btn-outline-blue { border: 1px solid var(--color-barber-blue); }

.btn-outline-blue:where(:hover, :active, :focus, :focus-visible) {
    background-color: var(--color-barber-blue);
    color: var(--color-primary-white);
}

.container {
    padding-inline: 20px;
    max-width: 580px;
    width: 100%;
    margin-inline: auto;
}

.section {  padding-block-end: 60px; }

.overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    background-color: rgba(0,0,0,0.7);
    width: 100vw;
    z-index: 998;
}

.overlay.active {
    /* display: block; */
    display: flex;
    align-items: center;
    justify-content: center;
}

/****************************************\
               HEADER
\****************************************/
.expediente {
    border: 2px dotted var(--color-attention);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-block: 6px;
    /* background-color: #f1dc79; */

    p {
        font-size: 1.3rem;
        color: var(--color-attention);
        font-weight: var(--weight-Medium);
        font-family: var(--font-secound);
    }

    i {
        font-size: 1.4rem;
        color: var(--color-attention);
        cursor: pointer;
    }
}

.header {
    width: 100%;
    height: 80px;
    box-shadow: 0px 1px 10px rgba(0, 0, 0, 0.1);

    & .container {
        display: flex;
        gap: 30px;
        align-items: center;
        height: 100%;
    }
}

.social-fixed {
    z-index: 20;
    position: fixed;
    right: 20px;
    top: 100px;
    max-width: max-content;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 10px;

    .box-arrow {
        height: 36px;
        width: 36px;
        display: flex;
        align-items: center;
        justify-content: center;
        background-color: var(--color-primary-white);
        border-radius: var(--radius-full);
        box-shadow: -3px 1px 10px rgba(0, 0, 0, 0.1);
        cursor: pointer;
        rotate: 0;
        transition: all .5s ease;

        & span {
            font-size: 2.8rem;
            color: var(--color-barber-blue);
        }
    }

    .icons-social {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 10px;
        opacity: 1;
        transition: transform .5s ease, opacity .2s;

        & a {
            cursor: pointer;
        }

        & img {
            border-radius: var(--radius-full);
        }
    }
}

@keyframes pulse{
    0% {  box-shadow: 0 0 0 0 #00339940;}
    100% {  box-shadow: 0 0 0 20px #ffffff00;}
}

.box-arrow.active {
    rotate: 180deg;
    height: 20px;
    width: 20px;
    background-color: var(--color-primary-white);
    animation: pulse 1.5s ease forwards infinite;


    & span {
        display: none;
    }
}
    
.icons-social.active {
    transform: translateX(20vw);
    opacity: 0;
}


.open-menu {
    cursor: pointer;
}
.sidebar {
    z-index: 1000;
    background-color: var(--color-primary-white);
    width: 80vw;
    height: 100vh;
    position: fixed;
    right: 0;
    top: 0;
    left: -80vw;
    overflow-y: hidden;
    transition: 0.4s;
    transition-property: left;
    
    & .content-sidebar {
        height: 100dvh;
        position: relative;
    }

    .sidebar-top {
        position: relative;
        height: 80px;
        
        & .sidebar-top-logo {
            border-block-end: 0.5px solid #DADCE0;
            width: 100%;
            height: 100%;
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 10px;
            overflow: hidden;

            .logo-right {
                display: grid;
                gap: 1px;
            }

            .part-logo-bigode {
                transform: translateX(250px);
                opacity: 0;
                transition: transform 1.5s ease, opacity 1.5s ease;
            }

            .part_logo_text {
                transform: translateY(-100px);
                transition: transform 1.5s ease;
            }

            .part-logo-vs {
                transform: translateX(-250px);
                transition: transform 1.5s ease;
            }

            .part-logo-bigode.active,
            .part-logo-vs.active,
            .part_logo_text.active{
                transform: translateX(0);
                transform: translateY(0);
                opacity: 1;
                pointer-events: none;
            }

        }

        & .close-menu {
            cursor: pointer;
            color: var(--color-primary-white);
            position: absolute;
            top: 24px;
            right: -50px;
        }
    }

    & .sidebar-nav {
        padding-inline-start: 20px;
        padding-inline-end: 10px;
        margin-top: 20px;

        & .navbar-list {
            & .meu-painel {
                display: flex;
                align-items: center;
                gap: 10px;
                
                span {
                    font-weight: var(--weight-Medium);
                    font-size: 1.6rem;
                    display: inline;
                    width: 10px;
                }
            }
        }
    }

    & .navbar-link {
        color: var(--color-gray_nav);
        line-height: 50px;
        border: 0px transparent;
        transition: all .3s;
    }

    & .navbar-link:where(:hover, :active, :focus, :focus-visible) {
        color: var(--color-primary-black);
        border: 1px solid var(--color-barber-blue);
        border-radius: var(--radius-full);
        padding-inline: 20px;
    }

    .line-divisor {
        height:0.5px;
        background-color: var(--color-barber-blue);
        transform: scaleX(0);
        transform-origin: center;
        transition: all 4s ease;
    }

    .line-divisor.active {
        transform: scaleX(1);
    }

    .sidebar-bottom {
        position: absolute;
        bottom: 0;
        width: 100%;
        box-shadow: 0px 1px 10px rgba(0, 0, 0, 0.1);

        & .sidebar-bottom-content {
            padding-inline: 10px;
        }

        & .acesso {
            margin-top: 10px;
            font-size: 1.2rem;
            text-align: center;
            padding-block-end: 20px;
            padding-block-start: 10px;
            font-weight: var(--weight-Medium);
        }

        & .btn {
            max-width: 100%;
            margin-bottom: 8px;
            & span {
                color: var(--color-primary-white);
                font-size: 1.4rem;
                font-weight: var(--weight-Medium);
            }
        }
    }
}

.sidebar.active {
    left: 0; 
    overflow-y: visible;
}

/****************************************\
               HERO
\****************************************/

.hero-content {
    height: 50vh;
    margin-top: 160px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;

    h1 {
        text-align: center;
        font-weight: var(--weight-Semibold);
        font-size: 2.6rem;
        /* border: 1px dotted lightcoral; */
        max-width: 60%;
    }

    .btn {
        margin-top: 50px;
        margin-bottom: 10px;
        gap: 6px;

        & span {
            font-size: 1.4rem;
        }

        & .material-symbols-rounded {
            font-size: 1.6rem;
        }
    }

    p {
        font-size: 1.3rem;
        color: var(--color-barber-blue);
        font-weight: var(--weight-Medium);
    }
}

/****************************************\
               BANNERS SECTION
\****************************************/

.banner {
    height:500px;
    max-width: 100%;
    background-color: black;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    border-radius: var(--radius-large);
    position: relative;
    margin-bottom: 40px;
    box-shadow: 3px 3px 20px rgba(0, 0, 0, 0.2);

    & img {
        pointer-events: none;
    }

    .text {
        margin-top: 50px;
        max-width: 90%;
        
        & p {
            text-align: center;
            color: var(--color-primary-white);
            font-size: 2.4rem;
            font-weight: var(--weight-Bold);
        }
    }

    .circle {
        height: 30px;
        width: 30px;
        background-color: var(--color-primary-white);
        border-radius: var(--radius-full);
        position: absolute;
        top: 10px;
        right: 10px;
        box-shadow: inset -3px -3px 10px rgba(0, 0, 0, 0.3);
    }
}

.banner-type-2 {
    position: relative;
    background: #d9d9d9;

    .text {
        display: grid;
        gap: 20px;

        p {
            color: var(--color-primary-black);
        }

        span {
            display: inline;
            font-weight: var(--weight-Semibold);
        }

        .descricao {
            font-family: var(--font-secound);
            font-weight: var(--weight-Regular);
            font-size: 1.6rem;
            margin-top: 10px;
        }
    }

    img {
        position: absolute;
        bottom: 0;
        margin: 0 auto;
    }
}

.card-3 {

    background-color: #ff8800;
    overflow: hidden;

    .text p {
        color: var(--color-primary-white);
    }
    
    img {
        border-radius: var(--radius-large);
        transform: translateX(-70px);
        box-shadow: 2px 4px 20px rgba(0, 0, 0, 0.3);
    }
}

.card-4 {
    background-color: #F8F8F8;
    height: 500px;
    width: 100%;
    border-radius: var(--radius-large);
    position: relative;
    box-shadow: 3px 3px 20px rgba(0, 0, 0, 0.2);
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;

    .circle-new {
        position: absolute;
        top: 10px;
        right: 10px;
        border-radius: var(--radius-full);
        height: 30px;
        width: 30px;
        background-color: var(--color-primary-white);
        z-index: 2;
        box-shadow: inset -3px -3px 10px rgba(0, 0, 0, 0.3);
    }

    img {
        position: absolute;
        pointer-events: none;
    }

    .img-bottom-left {
        bottom: 0;
        left: -38px;
        transform: translateY(52px);
    }

    .img-top-right {
        top: 0;
        right: -30px;
    }

    .mini-banner {
        position: absolute;
        max-width: 55%;
        height: 110px;
        background-color: var(--color-primary-white);
        border-radius: var(--radius-medium);
        display: flex;
        align-items: center;
        justify-content: center;

        span {
            display: inline;
            font-weight: var(--weight-Bold);
        }

        padding-inline: 10px;

        p {
            font-family: var(--font-secound);
            font-weight: var(--weight-Medium);
            text-align: center;
            word-wrap: break-word;
        }
    }

    .top-left {
        top: 0;
        left: 0;
    }

    .bottom-right {
        bottom: 0;
        right: 0;
    }
}

/****************************************\
               MAPS SECTION
\****************************************/

.map-box {
    .visitar {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 20px;
        margin-bottom: 20px;

        .title-map {
            font-size: 2.4rem;
            font-weight: var(--weight-Bold);
        }

        .more-info {
            font-family: var(--font-secound);

            span {
                display: inline;
                font-weight: var(--weight-Bold);
            }
        }
    }

    .mapa {
        
        iframe {
            width: 100%;
            height: 400px;
            border: 0;
            border-radius: var(--radius-large);
        }

    }
}


/****************************************\
               SOBRE PHP
\****************************************/
.sobre-content {
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    h1 {
        font-size: 2.6rem;
    }
}

/****************************************\
               GALERIA PHP
\****************************************/

.galeria {

    & .upload-button {
        height: 60px;
        width: 60px;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 50%;
        color: var(--color-barber-blue);
        background-color: var(--color-primary-white);
        box-shadow: -3px 1px 10px rgba(0, 0, 0, 0.1);
        position: fixed;
        bottom: 20px;
        right: 20px;
        z-index: 10;
        cursor: pointer;
        font-size: 2.4rem;
    }

    & .box-upload {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100dvh;
        background-color: rgba(0,0,0,0.8);
        z-index: 11;
        transform: translateX(500px);
        opacity: 0;
        pointer-events: none;
        transition: opacity .5s ease, transform .5s ease;

        & .box-upload-content {
            width: inherit;
            height: inherit;
            position: relative;
            display: flex;
            align-items: center;
            justify-content: center;

            & .close-box-upload {
                height: 40px;
                width: 40px;
                font-size: 1.4rem;
                display: flex;
                align-items: center;
                justify-content: center;
                border-radius: var(--radius-full);
                background-color: var(--color-primary-white);
                box-shadow: -3px 1px 10px rgba(0, 0, 0, 0.1);
                position: absolute;
                top: 20px;
                right: 30px;
                cursor: pointer;
            }

            form {
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;
                height: 70dvh;
                width: 360px;
                background-color: var(--color-primary-white);
                border-radius: var(--radius-large);

                & label {
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    justify-content: center;
                    border-radius: var(--radius-medium);
                    overflow: hidden;
                    box-shadow: -3px 1px 10px rgba(0, 0, 0, 0.1);
                    position: relative;
    
                    & #img_view {
                        font-family: var(--font-secound);
                        height: 400px;
                        width: 200px;
                        background-color: var(--color-primary-white);
                        display: flex;
                        flex-direction: column;
                        align-items: center;
                        justify-content: center;
    
    
                        background-position: center;
                        /* background-size: cover; */
                        background-size: contain;
                        background-repeat: no-repeat;
    
                        & p {
                            font-size: 1.4rem;
                            color: var(--color-primary-white);
                            background-color: var(--color-primary-black);
                            padding: 5px;
                            height: 180px;
                            width: 180px;
                            text-align: center;
                            display: flex;
                            flex-direction: column;
                            align-items: center;
                            justify-content: center;
                            border-radius: var(--radius-full);
                            margin-inline: 20px;
                        }

                        
                    }

                    & .video-selecionado {
                        display: none;
                        align-items: center;
                        justify-content: center;
                        flex-direction: column;
                        width: 180px;
                        height: 180px;
                        border-radius: var(--radius-full);
                        position: absolute;
                        background-color: var(--color-primary-white);
                        border: 1px solid var(--color-success);

                        & .box-video-selecionado {
                            display: flex;
                            flex-direction: column;
                            align-items: center;
                            justify-content: center;
                            gap: 10px;
                        }
                        span {
                            color: var(--color-success);
                        }

                        & p {
                            width: 100%;
                            color: var(--color-success);
                            font-weight: var(--weight-Medium);
                            text-align: center;

                        }
    
                    }
                }

                & .more-info {
                    font-family: var(--font-secound);
                    color: var(--color-gray_nav);
                    font-size: 1.1rem;
                    text-align: center;
                    padding-inline: 10px;
                    width: 200px;
                    margin-top: 6px;
                }

                & input[type=submit] {
                    margin-top: 20px;
                    font-size: 1.2rem;
                    font-weight: var(--weight-Medium);
                }
            }

        }

    }

    & .box-upload.active {
        opacity: 1;
        pointer-events: all;
        transform: translateX(0);
    }

}



.galeria-content {
    margin-top: 20px;
    max-width: 100%;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-around;
    gap: 20px;

    .image-holder {
        width: 160px;
        height: 300px;
        border-radius: 8px;
        overflow: hidden;
        position: relative;
        cursor: pointer;

        .delete {
            position: absolute;
            top: 0px;
            right: 0px;
            color: var(--color-barber-red);
            font-size: 1.8rem;
            border-radius: 50% 8px 50% 50%;
            background-color: var(--color-primary-white);
            display: flex;
            align-items: center;
            justify-content: center;
            width: 30px;
            height: 30px;
            cursor: pointer;
        }
    }
    
    .image-holder img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .img-holder video {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

}

.image-popup-back.active {
    opacity: 1;
    pointer-events: all;
}

.image-popup-back {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100dvh;
    background-color: rgba(0,0,0,0.8);
    z-index: 11;
    opacity: 0;
    pointer-events: none;
    transition: opacity .5s ease;

    & .image-pop-content {
        height: inherit;
        width: inherit;
        position: relative;
        display: flex;
        align-items: center;
        justify-content: center;

        & .close-pop-content {
            height: 40px;
            width: 40px;
            font-size: 1.4rem;
            display: flex;
            align-items: center;
            justify-content: center;
            border-radius: var(--radius-full);
            background-color: var(--color-primary-white);
            box-shadow: -3px 1px 10px rgba(0, 0, 0, 0.1);
            position: absolute;
            top: 20px;
            right: 30px;
            cursor: pointer;
        }
        
        & .img-pop-holder {
            height: 70dvh;
            width: 360px;
            border-radius: var(--radius-medium);
            overflow: hidden;
            
            img {
                width: 100%;
                height: 100%;
                object-fit: contain;
            }
        }
    }
}


/****************************************\
               ENTRAR PHP
\****************************************/

.formulario-entrar {
    height: 100dvh;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: var(--font-secound);

    & .box-form {
        background-color: #F8F8F8;
        border-radius: var(--radius-large);
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        padding-block: 20px;
        padding-inline: 30px;
        box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.1);

        & .form-entrar-top {
            p {
                font-size: 1.1rem;

            }
            & span {
                display: inline;
                font-weight: var(--weight-Medium);
            }
        }

        & .form-entrar-middle {
            margin-block-start: 60px;
            margin-block-end: 40px;
            background-color: var(--color-primary-white);
            border-radius: var(--radius-full);
            height: 120px;
            width: 120px;
            display: flex;
            align-items: center;
            justify-content: center;
            box-shadow: inset 1px 1px 6px rgba(0, 0, 0, 0.1);
            pointer-events: none;
            position: relative;
            
            & .form-entrar-logo {
                width: 0;
                transition: width 1.5s ease;
            }

            & .pincel {
                position: absolute;
                bottom: -10px;
                right: 10px;
                transform: rotate(-10deg);
            }
            
            & .pincel.active {
                animation: girar 3s ease infinite;
            }

            


            & .form-entrar-logo.active {
                width: 40px;
            }
        }

        

        & .form-entrar-bottom {

            width: 100%;

            & h1 {
                font-family: var(--font-primary);
                letter-spacing: 0;
                font-size: 2.2rem;
                text-align: center;
                margin-bottom: 40px;
            }

            & .input-area {
                margin-block: 20px;

                label {
                    font-size: 1.4rem;
                    font-weight: var(--weight-Semibold);
                }

                & input {
                    outline: none;
                    background-color: var(--color-primary-white);
                    width: 100%;
                    height: 46px;
                    margin-top: 6px;
                    /* border-radius: 0px 32px 32px 0px; */
                    border-radius: var(--radius-large);
                    padding: 12px;
                    font-size: 1.4rem;
                    box-shadow: inset 1px 1px 6px rgba(0, 0, 0, 0.1);
                }

                & input:where(:hover, :focus, :focus-visible, :active) {
                    border: 1px solid var(--color-barber-blue);
                }      
            }

            & input[type=submit] {
                margin-top: 40px;
                min-width: 100%;
                cursor: pointer;
                outline: none;
                border: none;
                font-family: var(--font-primary);
                font-weight: var(--weight-Medium);
                font-size: 1.4rem;
            }
            
        }
    }
}
@keyframes girar {
    0% {    transform: rotate(-10deg); }
    50% {    transform: rotate(-70deg); }
    100% {    transform: rotate(-10deg); }
}

/****************************************\
               MENSAGENS DE ERRO
\****************************************/

.message-error {
    background-color: var(--color-primary-white);
    border: 0.5px solid var(--color-barber-red);
    border-radius: var(--radius-medium);
    position: relative;
    padding-block-start: 30px;
    padding-block-end: 20px;
    padding-inline: 10px;
    margin-bottom: 30px;
    display: flex;
    align-items: center;
    justify-content: center;

    & .close-message-btn {
        position: absolute;
        top: 5px;
        right: 5px;
        cursor: pointer;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: var(--radius-full);
        height: 30px;
        width: 30px;
        background-color: var(--color-barber-red);
        transition: all .4s ease;

        & i {
            pointer-events: none;
            color: var(--color-primary-white);
            font-size: 1.2rem;
            transition: all .4s ease;
        }
    }

    & .close-message-btn:where(:hover, :active, :focus, :focus-visible) {
        background-color: var(--color-primary-white);
        border: 1px solid var(--color-barber-red);
        & i {
            color: var(--color-barber-red);
        }
    }

    & p {
        font-size: 1.4rem;
        margin-block: 10px;
        font-weight: var(--weight-Medium);
        span {
            display: inline;
            color: var(--color-barber-red);
            font-weight: var(--weight-Semibold);

        }
    }
}

.message-error.active {
    display: none;
}

.message-success {
    background-color: var(--color-primary-white);
    background-color: var(--color-primary-white);
    border: 0.5px solid var(--color-success);
    border-radius: var(--radius-medium);
    position: relative;
    padding-block-start: 20px;
    padding-block-end: 20px;
    padding-inline: 10px;
    width: 80%;
    display: flex;
    align-items: center;
    justify-content: center;

    & .close-message-btn {
        position: absolute;
        top: 5px;
        right: 5px;
        cursor: pointer;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: var(--radius-full);
        height: 30px;
        width: 30px;
        background-color: var(--color-success);
        transition: all .4s ease;

        & i {
            pointer-events: none;
            color: var(--color-primary-white);
            font-size: 1.2rem;
            transition: all .4s ease;
        }
    }

    & .close-message-btn:where(:hover, :active, :focus, :focus-visible) {
        background-color: var(--color-primary-white);
        border: 1px solid var(--color-success);
        & i {
            color: var(--color-success);
        }
    }

    & p {
        font-size: 1.4rem;
        margin-block: 10px;
        font-weight: var(--weight-Medium);
        span {
            display: inline;
            color: var(--color-success);
            font-weight: var(--weight-Semibold);

        }
    }
}

.message-success.active {
    display: none;
}

/****************************************\
               PAINEL PHP
\****************************************/

.painel-content {
    min-height: 100dvh;
    position: relative;

    .imagens-decoracao {
        pointer-events: none;

        .decor-pente {
            position: absolute;
            top: 0;
            right: 0;
            transform: rotate(-145deg);
        }
    
        .decor-pincel {
            position: absolute;
            top: 0;
            right: 80px;
            transform: rotate(-180deg);
        }
    
        .decor-maquina {
            position: absolute;
            top: 0;
            right: 150px;
            transform: rotate(-160deg);
        }
    
        .decor-borrifador {
            position: absolute;
            top: 0;
            left: 140;
            transform: rotate(-160deg);
        }
    
        .decor-navalha {
            position: absolute;
            top: 0;
            left: 60px;
            transform: rotate(-100deg);
        }
    
        .decor-secador {
            position: absolute;
            top: 0;
            left: 0px;
            transform: rotate(-140deg);
        }
    }

    .painel-top {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        padding-top: 80px;
    
        .imagem {
            height: 60px;    
            width: 60px;
            border-radius: var(--radius-full);
            background-color: var(--color-primary-black);
            display: flex;
            align-items: center;
            justify-content: center;
            color: var(--color-primary-white);
            font-weight: var(--weight-Bold);
            letter-spacing: var(--ls-small);
        }
        
        span {
            margin-block-end: 20px;
            margin-block-start: 10px;
            font-weight: var(--weight-Semibold);
            color: var(--color-dark-blue);
            display: inline;
        }
    }

    .painel-middle {
        margin-block-start: 40px;

        h1 {
            font-size: 2.6rem;
            margin-block-end: 60px;
        }

        .preciso {
            font-weight: var(--weight-Semibold);
            font-size: 1.8rem;
            color: #acafb4;
        }

        .painel-links p {
            font-size: 1.4rem;
        }

        .painel-links {
            margin-top: 20px;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            gap: 10px;

            div:nth-child(2) {
                align-self: flex-start;
            }

            div:nth-child(3) {
                align-self: flex-end;
            }
        }
    }
}

.menssage-session-success {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    background-color: var(--color-primary-white);
    width: max-content;
    padding-inline: 20px;
    padding-block: 6px;
    box-shadow: 0px 2px 10px rgba(0,0,0,0.1);
    border-radius: 6px;
    opacity: 0;
    pointer-events: none;

    & .material-symbols-rounded {
        color: var(--color-success);
    }

    .sucess-description {
        font-size: 1.4rem;
        font-family: var(--font-secound);
    }
}

.menssage-session-success.active {
    animation: opacitymsg 3s ease;
}

@keyframes opacitymsg {
    0% {
        opacity: 0;
        transform: translateX(-20px);
    }
    20% {
        opacity: 1;
        transform: translateX(0);
    }

    80% {
        opacity: 1;
        transform: translateX(0);
    }

    100% {
        opacity: 0;
        transform: translateX(-20px);
    }
}